<div class="main-content">
  <div class="container-fluid">
<!--    en tete  -->

      <div class="row">

          <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                  <div class="card-header card-header-info card-header-icon">
                      <div class="card-icon">
                          <i class="fa fa-comments"></i>
                      </div>
                      <p class="card-category"> Réclamation Envoyée </p>
                      <h3 class="card-title">{{this.totalenv}}</h3>
                  </div>
                  <div class="card-footer">
                  </div>
              </div>
          </div>

          <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                  <div class="card-header card-header-danger  card-header-icon">
                      <div class="card-icon">
                          <i class="fa fa-comments"></i>
                      </div>
                      <p class="card-category">OT non traité </p>
                      <h3 class="card-title">{{ this.totalNonTraiter }}</h3>
                  </div>
                  <div class="card-footer">
                  </div>
              </div>
          </div>
          <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                  <div class="card-header  card-header-success card-header-icon">
                      <div class="card-icon">
                          <i class="fa fa-comments"></i>
                      </div>
                      <p class="card-category">OT traité</p>
                      <h3 class="card-title">{{this.totalTraiter}}</h3>
                  </div>
                  <div class="card-footer">

                  </div>
              </div>
          </div>
          <div class="col-lg-3 col-md-6 col-sm-6">
              <div class="card card-stats">
                  <div class="card-header  card-header-warning card-header-icon">
                      <div class="card-icon">
                          <i class="fa fa-comments"></i>
                      </div>
                      <p class="card-category">OT cloturé</p>
                      <h3 class="card-title">{{this.totalCloturer}}</h3>
                  </div>
                  <div class="card-footer">

                  </div>
              </div>
          </div>
      </div>

<!--    -->
<!--      <div style="display: block">-->
<!--          <canvas mdbChart-->
<!--                  [chartType]="chartType"-->
<!--                  [datasets]="chartDatasets"-->
<!--                  [labels]="chartLabels"-->
<!--                  [colors]="chartColors"-->
<!--                  [options]="chartOptions"-->
<!--                  [legend]="true"-->
<!--                  (chartHover)="chartHovered($event)"-->
<!--                  (chartClick)="chartClicked($event)">-->
<!--          </canvas>-->
<!--      </div>-->
      <mat-tab-group>
          <mat-tab label="Relamation par jour">
              <div style="display: block">
                  <canvas  baseChart
                           [options]="lineChartOptions"
                           [colors]="lineChartColors"
                           [datasets]="lineChartData"
                           [labels]="lineChartLabels"
                           [legend]="lineChartLegend"
                           [chartType]="lineChartType"
                  ></canvas>
              </div>
          </mat-tab>
<!--          <mat-tab label="Reclamation par gouvernante">-->
<!--              <div style="display: block">-->
<!--                  <canvas  baseChart-->
<!--                           [options]="lineChartOptions2"-->
<!--                           [colors]="lineChartColors2"-->
<!--                           [datasets]="lineChartData2"-->
<!--                           [labels]="lineChartLabels2"-->
<!--                           [legend]="lineChartLegend2"-->
<!--                           [chartType]="lineChartType2"-->
<!--                  ></canvas>-->
<!--              </div>-->
<!--          </mat-tab>-->

          <mat-tab label="Reclmation par panne ">
              <div style="display: block">
                  <canvas  baseChart
                           [options]="lineChartOptions4"
                           [colors]="lineChartColors4"
                           [datasets]="lineChartData4"
                           [labels]="lineChartLabels4"
                           [legend]="lineChartLegend4"
                           [chartType]="lineChartType4"
                  ></canvas>
              </div>
          </mat-tab>
          <mat-tab label="le respect des délais de réparation des pannes">

              <div style="display: block">
                  <canvas  baseChart
                           [options]="lineChartOptions3"
                           [colors]="lineChartColors3"
                           [datasets]="lineChartData3"
                           [labels]="lineChartLabels3"
                           [legend]="lineChartLegend3"
                           [chartType]="lineChartType3"
                  ></canvas>
              </div>


          </mat-tab>
          <mat-tab label="Reclamation par type d'emplacement ">
              <div style="display: block">
                  <canvas  baseChart
                           [options]="lineChartOptions5"
                           [colors]="lineChartColors5"
                           [datasets]="lineChartData5"
                           [labels]="lineChartLabels5"
                           [legend]="lineChartLegend5"
                           [chartType]="lineChartType5"
                  ></canvas>
              </div>
          </mat-tab>
      </mat-tab-group><br/><br/><br/>

      <div class="row">
          <div class="col-lg-6 col-md-12">
              <div class="card">
                  <div class="card-header card-header-danger">
                      <h4 class="card-title   " >Liste des pièces binetot épuisées</h4>
                      <p class="card-category"> </p>
                  </div>
                  <div class="card-body table-responsive">

                          <table class="table table-hove">
                              <thead  class="text-danger" >
                              <th class="td-actions text-center">
                                  ID
                              </th >

                              <th class="td-actions text-center">
                                  Libellé Piece
                              </th>
                              <th class="td-actions text-center">
                                  Quantité
                              </th>

                              </thead>
                              <tbody>
                              <tr *ngFor=" let c of pieces">
                                  <td class="td-actions text-center" > {{c.id}}</td>
                                  <td class="td-actions text-center" > {{c.libelle_piece}}</td>
                                  <td class="td-actions text-center" >{{c.quantite}}</td>
                              </tr>
                              </tbody>
                          </table>
                  </div>
              </div>
          </div>

          <div class="col-lg-6 col-md-12">
              <div class="card">
                  <div class="card-header card-header-warning">
                      <h4 class="card-title " >Nombre des réclamations envoyées par gouvernanate</h4>
                      <p class="card-category"> </p>
                  </div>
                  <div class="card-body table-responsive">

                      <table class="table table-hover">
                          <thead class="text-warning" >
                          <th  class="td-actions text-center">
                              Nom
                          </th>

                          <th class="td-actions text-center">
                              Prénom
                          </th>
                          <th class="td-actions text-center">
                              Nombre de réclamations
                          </th>

                          </thead>
                          <tbody>
                          <tr *ngFor=" let c of recgouv">
                              <td class="td-actions text-center"> {{c.Gouvernante.nom}}</td>
                              <td class="td-actions text-center"> {{c.Gouvernante.prenom}}</td>
                              <td class="td-actions text-center">{{c.GouvCount}}</td>
                          </tr>
                          </tbody>
                      </table>

                  </div>
              </div>
          </div>

      </div>


</div>
</div>
